VTK: vtkPoints2D Class Reference

| VTK 9.3.1

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkPoints2D Class Reference

represent and manipulate 2D points More...

`#include <vtkPoints2D.h>`

Inheritance diagram for vtkPoints2D:
[legend]
Collaboration diagram for vtkPoints2D:
[legend]

## Public Types
typedef vtkObject | Superclass

## Public Member Functions
virtual vtkTypeBool | IsA (const char *type)
| Return 1 if this class is the same type of (or a subclass of) the named class. More...
vtkPoints2D * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual vtkTypeBool | Allocate (vtkIdType sz, vtkIdType ext=1000)
| Allocate initial memory size. More...
virtual void | Initialize ()
| Return object to instantiated state. More...
virtual void | SetData (vtkDataArray *)
| Set/Get the underlying data array. More...
vtkDataArray * | GetData ()
virtual int | GetDataType () const
| Return the underlying data type. More...
virtual void | SetDataType (int dataType)
| Specify the underlying data type of the object. More...
void | SetDataTypeToBit ()
void | SetDataTypeToChar ()
void | SetDataTypeToUnsignedChar ()
void | SetDataTypeToShort ()
void | SetDataTypeToUnsignedShort ()
void | SetDataTypeToInt ()
void | SetDataTypeToUnsignedInt ()
void | SetDataTypeToLong ()
void | SetDataTypeToUnsignedLong ()
void | SetDataTypeToFloat ()
void | SetDataTypeToDouble ()
void * | GetVoidPointer (const int id)
| Return a void pointer. More...
virtual void | Squeeze ()
| Reclaim any extra memory. More...
virtual void | Reset ()
| Make object look empty but do not delete memory. More...
unsigned long | GetActualMemorySize ()
| Return the memory in kibibytes (1024 bytes) consumed by this attribute data. More...
vtkIdType | GetNumberOfPoints () const
| Return number of points in array. More...
double * | GetPoint (vtkIdType id)
| Return a pointer to a double point x[2] for a specific id. More...
void | GetPoint (vtkIdType id, double x[2])
| Copy point components into user provided array v[2] for specified id. More...
void | SetPoint (vtkIdType id, const float x[2])
| Insert point into object. More...
void | SetPoint (vtkIdType id, const double x[2])
void | SetPoint (vtkIdType id, double x, double y)
void | InsertPoint (vtkIdType id, const float x[2])
| Insert point into object. More...
void | InsertPoint (vtkIdType id, const double x[2])
void | InsertPoint (vtkIdType id, double x, double y)
vtkIdType | InsertNextPoint (const float x[2])
| Insert point into next available slot. More...
vtkIdType | InsertNextPoint (const double x[2])
vtkIdType | InsertNextPoint (double x, double y)
void | RemovePoint (vtkIdType id)
| Remove point described by its id. More...
void | SetNumberOfPoints (vtkIdType numPoints)
| Specify the number of points for this object to hold. More...
vtkTypeBool | Resize (vtkIdType numPoints)
| Resize the internal array while conserving the data. More...
void | GetPoints (vtkIdList *ptId, vtkPoints2D *fp)
| Given a list of pt ids, return an array of points. More...
virtual void | ComputeBounds ()
| Determine (xmin,xmax, ymin,ymax) bounds of points. More...
double * | GetBounds ()
| Return the bounds of the points. More...
void | GetBounds (double bounds[4])
| Return the bounds of the points. More...
virtual void | DeepCopy (vtkPoints2D *ad)
| Different ways to copy data. More...
virtual void | ShallowCopy (vtkPoints2D *ad)
| Different ways to copy data. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkPoints2D * | New (int dataType)
static vtkPoints2D * | New ()
static vtkTypeBool | IsTypeOf (const char *type)
static vtkPoints2D * | SafeDownCast (vtkObjectBase *o)
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
virtual vtkObjectBase * | NewInstanceInternal () const
| vtkPoints2D (int dataType=VTK_FLOAT)
| ~vtkPoints2D () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
double | Bounds [4]
vtkTimeStamp | ComputeTime
vtkDataArray * | Data
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Additional Inherited Members
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

represent and manipulate 2D points

vtkPoints2D represents 2D points. The data model for vtkPoints2D is an array of vx-vy doublets accessible by (point or cell) id.

Tests:
  vtkPoints2D (Tests)

Definition at line 25 of file vtkPoints2D.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkPoints2D::Superclass

Definition at line 32 of file vtkPoints2D.h.

## Constructor & Destructor Documentation

## ◆ vtkPoints2D()

vtkPoints2D::vtkPoints2D | ( | int | dataType = `VTK_FLOAT` | ) |
| protected

## ◆ ~vtkPoints2D()

vtkPoints2D::~vtkPoints2D | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New() [1/2]

static vtkPoints2D* vtkPoints2D::New | ( | int | dataType | ) |
| static

## ◆ New() [2/2]

static vtkPoints2D* vtkPoints2D::New | ( |  | ) |
| static

## ◆ IsTypeOf()

static vtkTypeBool vtkPoints2D::IsTypeOf | ( | const char * | type | ) |
| static

## ◆ IsA()

virtual vtkTypeBool vtkPoints2D::IsA | ( | const char * | name | ) |
| virtual

Return 1 if this class is the same type of (or a subclass of) the named class.

Returns 0 otherwise. This method works in combination with vtkTypeMacro found in vtkSetGet.h.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkPoints2D* vtkPoints2D::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkPoints2D::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

## ◆ NewInstance()

vtkPoints2D* vtkPoints2D::NewInstance | ( |  | ) | const

## ◆ PrintSelf()

void vtkPoints2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Methods invoked by print to print information about the object including superclasses.

Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes.

Reimplemented from vtkObject.

## ◆ Allocate()

virtual vtkTypeBool vtkPoints2D::Allocate | ( | vtkIdType | sz,
|  | vtkIdType | ext = `1000`
| ) |  |
| virtual

Allocate initial memory size.

ext is no longer used.

## ◆ Initialize()

virtual void vtkPoints2D::Initialize | ( |  | ) |
| virtual

Return object to instantiated state.

## ◆ SetData()

virtual void vtkPoints2D::SetData | ( | vtkDataArray * |  | ) |
| virtual

Set/Get the underlying data array.

This function must be implemented in a concrete subclass to check for consistency. (The tuple size must match the type of data. For example, 3-tuple data array can be assigned to a vector, normal, or points object, but not a tensor object, which has a tuple dimension of 9. Scalars, on the other hand, can have tuple dimension from 1-4, depending on the type of scalar.)

## ◆ GetData()

vtkDataArray* vtkPoints2D::GetData | ( |  | ) |
| inline

Definition at line 54 of file vtkPoints2D.h.

## ◆ GetDataType()

virtual int vtkPoints2D::GetDataType | ( |  | ) | const
| virtual

Return the underlying data type.

An integer indicating data type is returned as specified in vtkSetGet.h.

## ◆ SetDataType()

virtual void vtkPoints2D::SetDataType | ( | int | dataType | ) |
| virtual

Specify the underlying data type of the object.

## ◆ SetDataTypeToBit()

void vtkPoints2D::SetDataTypeToBit | ( |  | ) |
| inline

Definition at line 66 of file vtkPoints2D.h.

## ◆ SetDataTypeToChar()

void vtkPoints2D::SetDataTypeToChar | ( |  | ) |
| inline

Definition at line 67 of file vtkPoints2D.h.

## ◆ SetDataTypeToUnsignedChar()

void vtkPoints2D::SetDataTypeToUnsignedChar | ( |  | ) |
| inline

Definition at line 68 of file vtkPoints2D.h.

## ◆ SetDataTypeToShort()

void vtkPoints2D::SetDataTypeToShort | ( |  | ) |
| inline

Definition at line 69 of file vtkPoints2D.h.

## ◆ SetDataTypeToUnsignedShort()

void vtkPoints2D::SetDataTypeToUnsignedShort | ( |  | ) |
| inline

Definition at line 70 of file vtkPoints2D.h.

## ◆ SetDataTypeToInt()

void vtkPoints2D::SetDataTypeToInt | ( |  | ) |
| inline

Definition at line 71 of file vtkPoints2D.h.

## ◆ SetDataTypeToUnsignedInt()

void vtkPoints2D::SetDataTypeToUnsignedInt | ( |  | ) |
| inline

Definition at line 72 of file vtkPoints2D.h.

## ◆ SetDataTypeToLong()

void vtkPoints2D::SetDataTypeToLong | ( |  | ) |
| inline

Definition at line 73 of file vtkPoints2D.h.

## ◆ SetDataTypeToUnsignedLong()

void vtkPoints2D::SetDataTypeToUnsignedLong | ( |  | ) |
| inline

Definition at line 74 of file vtkPoints2D.h.

## ◆ SetDataTypeToFloat()

void vtkPoints2D::SetDataTypeToFloat | ( |  | ) |
| inline

Definition at line 75 of file vtkPoints2D.h.

## ◆ SetDataTypeToDouble()

void vtkPoints2D::SetDataTypeToDouble | ( |  | ) |
| inline

Definition at line 76 of file vtkPoints2D.h.

## ◆ GetVoidPointer()

void* vtkPoints2D::GetVoidPointer | ( | const int | id | ) |
| inline

Return a void pointer.

For image pipeline interface and other special pointer manipulation.

Definition at line 82 of file vtkPoints2D.h.

## ◆ Squeeze()

virtual void vtkPoints2D::Squeeze | ( |  | ) |
| inlinevirtual

Reclaim any extra memory.

Definition at line 87 of file vtkPoints2D.h.

## ◆ Reset()

void vtkPoints2D::Reset | ( |  | ) |
| inlinevirtual

Make object look empty but do not delete memory.

Definition at line 207 of file vtkPoints2D.h.

## ◆ DeepCopy()

virtual void vtkPoints2D::DeepCopy | ( | vtkPoints2D * | ad | ) |
| virtual

Different ways to copy data.

Shallow copy does reference count (i.e., assigns pointers and updates reference count); deep copy runs through entire data array assigning values.

## ◆ ShallowCopy()

virtual void vtkPoints2D::ShallowCopy | ( | vtkPoints2D * | ad | ) |
| virtual

Different ways to copy data.

Shallow copy does reference count (i.e., assigns pointers and updates reference count); deep copy runs through entire data array assigning values.

## ◆ GetActualMemorySize()

unsigned long vtkPoints2D::GetActualMemorySize | ( |  | ) |

Return the memory in kibibytes (1024 bytes) consumed by this attribute data.

Used to support streaming and reading/writing data. The value returned is guaranteed to be greater than or equal to the memory required to actually represent the data represented by this object. The information returned is valid only after the pipeline has been updated.

## ◆ GetNumberOfPoints()

vtkIdType vtkPoints2D::GetNumberOfPoints | ( |  | ) | const
| inline

Return number of points in array.

Definition at line 117 of file vtkPoints2D.h.

## ◆ GetPoint() [1/2]

double* vtkPoints2D::GetPoint | ( | vtkIdType | id | ) |
| inline

Return a pointer to a double point x[2] for a specific id.

WARNING: Just don't use this error-prone method, the returned pointer and its values are only valid as long as another method invocation is not performed. Prefer GetPoint() with the return value in argument.

Definition at line 125 of file vtkPoints2D.h.

## ◆ GetPoint() [2/2]

void vtkPoints2D::GetPoint | ( | vtkIdType | id,
|  | double | x[2]
| ) |  |
| inline

Copy point components into user provided array v[2] for specified id.

Definition at line 130 of file vtkPoints2D.h.

## ◆ SetPoint() [1/3]

void vtkPoints2D::SetPoint | ( | vtkIdType | id,
|  | const float | x[2]
| ) |  |
| inline

Insert point into object.

No range checking performed (fast!). Make sure you use SetNumberOfPoints() to allocate memory prior to using SetPoint().

Definition at line 137 of file vtkPoints2D.h.

## ◆ SetPoint() [2/3]

void vtkPoints2D::SetPoint | ( | vtkIdType | id,
|  | const double | x[2]
| ) |  |
| inline

Definition at line 138 of file vtkPoints2D.h.

## ◆ SetPoint() [3/3]

void vtkPoints2D::SetPoint | ( | vtkIdType | id,
|  | double | x,
|  | double | y
| ) |  |
| inline

Definition at line 227 of file vtkPoints2D.h.

## ◆ InsertPoint() [1/3]

void vtkPoints2D::InsertPoint | ( | vtkIdType | id,
|  | const float | x[2]
| ) |  |
| inline

Insert point into object.

Range checking performed and memory allocated as necessary.

Definition at line 145 of file vtkPoints2D.h.

## ◆ InsertPoint() [2/3]

void vtkPoints2D::InsertPoint | ( | vtkIdType | id,
|  | const double | x[2]
| ) |  |
| inline

Definition at line 146 of file vtkPoints2D.h.

## ◆ InsertPoint() [3/3]

void vtkPoints2D::InsertPoint | ( | vtkIdType | id,
|  | double | x,
|  | double | y
| ) |  |
| inline

Definition at line 233 of file vtkPoints2D.h.

## ◆ InsertNextPoint() [1/3]

vtkIdType vtkPoints2D::InsertNextPoint | ( | const float | x[2] | ) |
| inline

Insert point into next available slot.

Returns id of slot.

Definition at line 152 of file vtkPoints2D.h.

## ◆ InsertNextPoint() [2/3]

vtkIdType vtkPoints2D::InsertNextPoint | ( | const double | x[2] | ) |
| inline

Definition at line 153 of file vtkPoints2D.h.

## ◆ InsertNextPoint() [3/3]

vtkIdType vtkPoints2D::InsertNextPoint | ( | double | x,
|  | double | y
| ) |  |
| inline

Definition at line 239 of file vtkPoints2D.h.

## ◆ RemovePoint()

void vtkPoints2D::RemovePoint | ( | vtkIdType | id | ) |
| inline

Remove point described by its id.

Definition at line 159 of file vtkPoints2D.h.

## ◆ SetNumberOfPoints()

void vtkPoints2D::SetNumberOfPoints | ( | vtkIdType | numPoints | ) |
| inline

Specify the number of points for this object to hold.

Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetPoint() method for fast insertion.

Definition at line 213 of file vtkPoints2D.h.

## ◆ Resize()

vtkTypeBool vtkPoints2D::Resize | ( | vtkIdType | numPoints | ) |
| inline

Resize the internal array while conserving the data.

Returns 1 if resizing succeeded and 0 otherwise.

Definition at line 220 of file vtkPoints2D.h.

## ◆ GetPoints()

void vtkPoints2D::GetPoints | ( | vtkIdList * | ptId,
|  | vtkPoints2D * | fp
| ) |  |

Given a list of pt ids, return an array of points.

## ◆ ComputeBounds()

virtual void vtkPoints2D::ComputeBounds | ( |  | ) |
| virtual

Determine (xmin,xmax, ymin,ymax) bounds of points.

## ◆ GetBounds() [1/2]

double* vtkPoints2D::GetBounds | ( |  | ) |

Return the bounds of the points.

## ◆ GetBounds() [2/2]

void vtkPoints2D::GetBounds | ( | double | bounds[4] | ) |

Return the bounds of the points.

## Member Data Documentation

## ◆ Bounds

double vtkPoints2D::Bounds[4]
| protected

Definition at line 198 of file vtkPoints2D.h.

## ◆ ComputeTime

vtkTimeStamp vtkPoints2D::ComputeTime
| protected

Definition at line 199 of file vtkPoints2D.h.

## ◆ Data

vtkDataArray* vtkPoints2D::Data
| protected

Definition at line 200 of file vtkPoints2D.h.

The documentation for this class was generated from the following file:

- Common/Core/vtkPoints2D.h